Skip to content

Change the password for the currently authenticated user.

POST/api/{version}/objects/users/{user_id}/password
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{user_id}The user id field value. You can also use the value me to change your password.
NameDescription
password__vEnter the current password.
new_password__vEnter the new password.

Passwords must meet minimum requirements. Learn about Password Requirements in Vault Help.

curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "password__v=CurrentPassword" \ -d "new_password__v=NewPassword" \ https://myvault.veevavault.com/api/v19.3/objects/users/25496/password
{ "responseStatus": "SUCCESS" }

On SUCCESS, the password will be changed.